diff --git a/bundled.yaml b/bundled.yaml index 1f3d1a09..c0742bd0 100644 --- a/bundled.yaml +++ b/bundled.yaml @@ -112,7 +112,8 @@ paths: $ref: '#/components/responses/me-response-payload-200' /api/v1/archives/channels: get: - summary: Query all archived channels + summary: Query archived channels + description: This API is used to query all archived channels of the user. tags: - Archive security: @@ -123,6 +124,7 @@ paths: /api/v1/archives/channels/{channelId}: post: summary: Archive channels + description: This API is used to archive conversation channels. tags: - Archive security: @@ -138,6 +140,7 @@ paths: $ref: '#/components/responses/NotFoundError' delete: summary: Unarchive channels + description: This API is used to unarchive conversation channels. tags: - Archive security: @@ -159,7 +162,7 @@ paths: $ref: '#/components/responses/NotFoundError' /api/v1/analytics/activities: post: - summary: send analytic activities + summary: Send analytic activities description: |- Send a batch of analytic activities to the server, currently only support viewing post/story and story link clicked activities. - For viewing post/story activity, the `impression` and `reach` of the post/story will be updated list of users from `/api/v1/analytics/views/posts/{postId}/users` will be updated too. (but not immediately) @@ -180,7 +183,7 @@ paths: $ref: '#/components/responses/UnexpectedError' /api/v1/analytics/views/posts/{postId}/users: get: - summary: query post reach + summary: Query post reach description: Query a list of users who have viewed certain post, the user who have been global banned, community banned, or soft deleted will be excluded from the list of users. And if the post is soft deleted, post owner will be able to view this list, but others can not. tags: - Analytic @@ -203,7 +206,7 @@ paths: $ref: '#/components/responses/UnexpectedError' /api/v1/analytics/views/stories/{storyId}/users: get: - summary: query story reach + summary: Query story reach description: Query a list of users who have viewed certain story, the user who have been global banned, community banned, or soft deleted will be excluded from the list of users. And if the post is soft deleted, post owner will be able to view this list, but others can not. tags: - Analytic @@ -242,13 +245,16 @@ paths: $ref: '#/components/responses/ValidationError' /api/v4/authentication/token: post: - summary: Create authentication token for session creation API + summary: Create authentication token tags: - Authentication parameters: - $ref: '#/components/parameters/x-server-key' description: | - Create authentication token for session creation API. Token userId need to match userId when using it + Create authentication token for session creation API. Token userId needs to match userId when using it.

+ For example:
+ You put userId: "123456" in the request body,
+ then you need to use the same userId: "123456" and token from the response in the session creation API. requestBody: content: application/json: @@ -265,13 +271,12 @@ paths: $ref: '#/components/responses/token-post-response-422' /api/v2/channels/{channelId}/close: post: - summary: close channel + summary: Close channel tags: - Channel security: - BearerAuth: [] - description: | - Close channel + description: Close the channel. parameters: - $ref: '#/components/parameters/parameter_channelId' responses: @@ -422,7 +427,8 @@ paths: $ref: '#/components/responses/UnexpectedError' /api/v3/channels/{channelId}: get: - summary: get a channel by ID. + summary: Get channel by ID + description: Retrieve a channel's details using its public ID. tags: - Channel security: @@ -439,7 +445,7 @@ paths: '500': $ref: '#/components/responses/UnexpectedError' put: - summary: update a channel + summary: Update channel tags: - Channel security: @@ -467,7 +473,7 @@ paths: '500': $ref: '#/components/responses/UnexpectedError' delete: - summary: delete a channel + summary: Delete channel tags: - Channel security: @@ -487,7 +493,8 @@ paths: $ref: '#/components/responses/UnexpectedError' /api/v3/channels/{channelId}/join: post: - summary: join a channel + summary: Join channel + description: Join a user to specified channel. tags: - Channel security: @@ -516,7 +523,8 @@ paths: $ref: '#/components/responses/UnexpectedError' /api/v3/channels/{channelId}/leave: delete: - summary: leave a channel + summary: Leave channel + description: User leave channel. tags: - Channel security: @@ -576,7 +584,8 @@ paths: $ref: '#/components/responses/UnexpectedError' /api/v3/channels/{channelId}/users: get: - summary: query channel users + summary: Query channel users (v3) + description: Retrieve a list of users in the specified channel. tags: - Channel security: @@ -600,7 +609,8 @@ paths: '500': $ref: '#/components/responses/UnexpectedError' post: - summary: add channel users + summary: Add channel users + description: Add users to the specified channel. tags: - Channel security: @@ -630,7 +640,8 @@ paths: '500': $ref: '#/components/responses/UnexpectedError' delete: - summary: remove channel users + summary: Remove channel users + description: Remove users from the specified channel. tags: - Channel security: @@ -660,7 +671,8 @@ paths: $ref: '#/components/responses/UnexpectedError' /api/v3/channels/{channelId}/users/ban: put: - summary: ban channel users + summary: Ban channel users + description: Ban users from the specified channel. tags: - Channel security: @@ -691,7 +703,10 @@ paths: $ref: '#/components/responses/UnexpectedError' /api/v3/channels/{channelId}/users/unban: put: - summary: unban channel users + summary: Unban channel users + description: | + Unban users from the specified channel. After unban, user will be force to leave a channel.
+ User will be able to rejoin the channel if they want it. tags: - Channel security: @@ -723,6 +738,7 @@ paths: /api/v3/channels/{channelId}/users/roles: post: summary: Add role to channel users + description: Add role to users in the specified channel. tags: - Channel security: @@ -751,6 +767,7 @@ paths: $ref: '#/components/responses/UnexpectedError' delete: summary: Remove role from channel users + description: Remove role from users in the specified channel. tags: - Channel security: @@ -779,7 +796,7 @@ paths: $ref: '#/components/responses/UnexpectedError' /api/v3/channels/conversation: post: - summary: create a conversation channel + summary: Create conversation channel tags: - Channel security: @@ -806,13 +823,12 @@ paths: $ref: '#/components/responses/UnexpectedError' /api/v3/channels/list: get: - summary: get list of channel + summary: Get list of channel + description: Get list of channels by IDs tags: - Channel security: - BearerAuth: [] - description: | - Get list of channel parameters: - $ref: '#/components/parameters/channelIds' responses: @@ -853,13 +869,11 @@ paths: $ref: '#/components/responses/UnexpectedError' /api/v3/comments: get: - summary: query comments (pagination support). + summary: Query comments tags: - Comment security: - ApiKeyAuth: [] - description: | - query comments. parameters: - $ref: '#/components/parameters/authorization' - $ref: '#/components/parameters/content-type' @@ -882,7 +896,7 @@ paths: '500': $ref: '#/components/responses/UnexpectedError' post: - summary: create a comment. + summary: Create comment tags: - Comment security: @@ -902,13 +916,12 @@ paths: $ref: '#/components/responses/UnexpectedError' /api/v3/comments/{commentId}: get: - summary: get a comment. + summary: Get comment tags: - Comment security: - BearerAuth: [] - description: | - get a comment. + description: Get one comment detail by ID. parameters: - $ref: '#/components/parameters/authorization' responses: @@ -921,7 +934,7 @@ paths: '500': $ref: '#/components/responses/UnexpectedError' put: - summary: update a comment. + summary: Update comment tags: - Comment security: @@ -943,7 +956,7 @@ paths: '500': $ref: '#/components/responses/UnexpectedError' delete: - summary: delete a comment. + summary: Delete comment deprecated: true tags: - Comment @@ -974,7 +987,7 @@ paths: $ref: '#/components/responses/UnexpectedError' /api/v3/comments/{commentId}/flag: post: - summary: flag a comment. + summary: Flag comment tags: - Comment security: @@ -1010,7 +1023,7 @@ paths: $ref: '#/components/responses/NotFoundError' /api/v3/comments/{commentId}/unflag: delete: - summary: unflag a comment. + summary: Unflag comment tags: - Comment security: @@ -1026,13 +1039,13 @@ paths: $ref: '#/components/responses/UnexpectedError' /api/v3/comments/list: get: - summary: get comments by IDs. + summary: Get comments by IDs. + description: | + Get comments by comment IDs. tags: - Comment security: - BearerAuth: [] - description: | - get comments by IDs. parameters: - $ref: '#/components/parameters/commentIds' responses: @@ -1046,7 +1059,9 @@ paths: $ref: '#/components/responses/UnexpectedError' /api/v3/comments/{commentId}/flags: delete: - summary: clear flags. + summary: Clear flags + description: | + Clear flags for a comment. tags: - Comment security: @@ -2391,9 +2406,9 @@ paths: tags: - Marker summary: Get marker for channels + description: Get channels unread, mentioned marker info security: - BearerAuth: [] - description: Get marker for channels parameters: - $ref: '#/components/parameters/parameter_channelIds' responses: diff --git a/v1/analytics/index.yaml b/v1/analytics/index.yaml index 7f128dd5..ffaa3c66 100644 --- a/v1/analytics/index.yaml +++ b/v1/analytics/index.yaml @@ -1,6 +1,6 @@ activities: post: - summary: send analytic activities + summary: Send analytic activities description: "Send a batch of analytic activities to the server, currently only support viewing post/story and story link clicked activities. \n - For viewing post/story activity, the `impression` and `reach` of the post/story will be updated list @@ -23,7 +23,7 @@ activities: views-posts_postId-users: get: - summary: query post reach + summary: Query post reach description: "Query a list of users who have viewed certain post, the user who have been global banned, community banned, or soft deleted will be excluded from the list of users. And if the post is soft deleted, @@ -50,7 +50,7 @@ views-posts_postId-users: views-stories_storyId-users: get: - summary: query story reach + summary: Query story reach description: "Query a list of users who have viewed certain story, the user who have been global banned, community banned, or soft deleted will be excluded from the list of users. And if the post is soft deleted, diff --git a/v1/archive/index.yaml b/v1/archive/index.yaml index 1a93069c..058e31e1 100644 --- a/v1/archive/index.yaml +++ b/v1/archive/index.yaml @@ -1,6 +1,7 @@ channels: get: - summary: Query all archived channels + summary: Query archived channels + description: This API is used to query all archived channels of the user. tags: - Archive security: @@ -12,6 +13,7 @@ channels: channels_channelId: post: summary: Archive channels + description: This API is used to archive conversation channels. tags: - Archive security: @@ -27,6 +29,7 @@ channels_channelId: $ref: "../../global/error.yaml#/NotFoundError" delete: summary: Unarchive channels + description: This API is used to unarchive conversation channels. tags: - Archive security: diff --git a/v1/device/api.yaml b/v1/device/api.yaml index 4e18908d..f9d917c1 100644 --- a/v1/device/api.yaml +++ b/v1/device/api.yaml @@ -88,7 +88,7 @@ generateAccessToken: type: string required: true responses: - '200000': + "200000": description: Return new accessToken content: application/json: @@ -97,5 +97,5 @@ generateAccessToken: properties: accessToken: type: string - '500000': - $ref: "../../global/error.yaml#/UnexpectedError" \ No newline at end of file + "500000": + $ref: "../../global/error.yaml#/UnexpectedError" diff --git a/v1/marker/index.yaml b/v1/marker/index.yaml index 908d6b8f..6285540c 100644 --- a/v1/marker/index.yaml +++ b/v1/marker/index.yaml @@ -3,9 +3,9 @@ channels: tags: - "Marker" summary: "Get marker for channels" + description: "Get channels unread, mentioned marker info" security: - BearerAuth: [] - description: "Get marker for channels" parameters: - $ref: "./parameter.yaml#/channelIds" responses: diff --git a/v2/channel/api.yaml b/v2/channel/api.yaml index ef5e10d7..3e85e5e7 100644 --- a/v2/channel/api.yaml +++ b/v2/channel/api.yaml @@ -1,5 +1,6 @@ create: - summary: create a channel + summary: Create a channel + deprecated: true tags: - Channel security: @@ -68,7 +69,8 @@ create: $ref: "../../global/error.yaml#/UnexpectedError" query: - summary: query channels + summary: Query channels + deprecated: true tags: - Channel security: @@ -135,7 +137,8 @@ query: $ref: "../../global/error.yaml#/UnexpectedError" setChannelDisplay: - summary: change channel displayName + summary: Change channel displayName + deprecated: true tags: - Channel security: @@ -174,7 +177,8 @@ setChannelDisplay: $ref: "../../global/error.yaml#/UnexpectedError" ban: - summary: ban users in channel + summary: Ban users in channel + deprecated: true tags: - Channel security: @@ -223,7 +227,8 @@ ban: $ref: "../../global/error.yaml#/UnexpectedError" unban: - summary: unban users in channel + summary: Unban users in channel + deprecated: true tags: - Channel security: @@ -272,7 +277,7 @@ unban: $ref: "../../global/error.yaml#/UnexpectedError" close: - summary: close channel + summary: Close channel tags: - Channel security: @@ -299,6 +304,7 @@ close: setAvatar: summary: Set or Remove avatar from channel + deprecated: true tags: - Channel security: @@ -342,7 +348,7 @@ setAvatar: $ref: "../../global/error.yaml#/UnexpectedError" muteChannel: - summary: Mute all users in channel for a specific period of time. + summary: Mute channel tags: - Channel security: @@ -382,7 +388,7 @@ muteChannel: $ref: "../../global/error.yaml#/UnexpectedError" muteUserInChannel: - summary: Mute a user in channel for a specific period of time. + summary: Mute user in channel. tags: - Channel security: diff --git a/v2/channel/index.yaml b/v2/channel/index.yaml index 54280589..cd7ae22a 100644 --- a/v2/channel/index.yaml +++ b/v2/channel/index.yaml @@ -1,11 +1,11 @@ close: post: - summary: "close channel" + summary: Close channel tags: - "Channel" security: - BearerAuth: [] - description: "Close channel\n" + description: Close the channel. parameters: - $ref: "./parameter.yaml#/channelId" responses: diff --git a/v3/channel/index.yaml b/v3/channel/index.yaml index b20e6674..d4caa70e 100644 --- a/v3/channel/index.yaml +++ b/v3/channel/index.yaml @@ -75,7 +75,8 @@ seen: _channelId: get: - summary: "get a channel by ID." + summary: "Get channel by ID" + description: "Retrieve a channel's details using its public ID." tags: - "Channel" security: @@ -92,7 +93,7 @@ _channelId: 500: $ref: "../../global/error.yaml#/UnexpectedError" put: - summary: "update a channel" + summary: "Update channel" tags: - "Channel" security: @@ -120,7 +121,7 @@ _channelId: 500: $ref: "../../global/error.yaml#/UnexpectedError" delete: - summary: "delete a channel" + summary: "Delete channel" tags: - "Channel" security: @@ -141,7 +142,8 @@ _channelId: _channelId-join: post: - summary: "join a channel" + summary: "Join channel" + description: "Join a user to specified channel." tags: - "Channel" security: @@ -171,7 +173,8 @@ _channelId-join: _channelId-leave: delete: - summary: "leave a channel" + summary: "Leave channel" + description: "User leave channel." tags: - "Channel" security: @@ -201,7 +204,8 @@ _channelId-leave: _channelId-users: get: - summary: "query channel users" + summary: "Query channel users (v3)" + description: "Retrieve a list of users in the specified channel." tags: - "Channel" security: @@ -225,7 +229,8 @@ _channelId-users: 500: $ref: "../../global/error.yaml#/UnexpectedError" post: - summary: "add channel users" + summary: "Add channel users" + description: "Add users to the specified channel." tags: - "Channel" security: @@ -255,7 +260,8 @@ _channelId-users: 500: $ref: "../../global/error.yaml#/UnexpectedError" delete: - summary: "remove channel users" + summary: "Remove channel users" + description: "Remove users from the specified channel." tags: - "Channel" security: @@ -286,7 +292,8 @@ _channelId-users: _channelId-users-ban: put: - summary: "ban channel users" + summary: "Ban channel users" + description: "Ban users from the specified channel." tags: - "Channel" security: @@ -317,7 +324,10 @@ _channelId-users-ban: $ref: "../../global/error.yaml#/UnexpectedError" _channelId-users-unban: put: - summary: "unban channel users" + summary: "Unban channel users" + description: | + Unban users from the specified channel. After unban, user will be force to leave a channel.
+ User will be able to rejoin the channel if they want it. tags: - "Channel" security: @@ -349,6 +359,7 @@ _channelId-users-unban: _channelId-users-roles: post: summary: "Add role to channel users" + description: "Add role to users in the specified channel." tags: - "Channel" security: @@ -377,6 +388,7 @@ _channelId-users-roles: $ref: "../../global/error.yaml#/UnexpectedError" delete: summary: "Remove role from channel users" + description: "Remove role from users in the specified channel." tags: - "Channel" security: @@ -405,7 +417,7 @@ _channelId-users-roles: $ref: "../../global/error.yaml#/UnexpectedError" conversation: post: - summary: "create a conversation channel" + summary: "Create conversation channel" tags: - "Channel" security: @@ -432,12 +444,12 @@ conversation: $ref: "../../global/error.yaml#/UnexpectedError" list: get: - summary: "get list of channel" + summary: "Get list of channel" + description: "Get list of channels by IDs" tags: - "Channel" security: - BearerAuth: [] - description: "Get list of channel\n" parameters: - $ref: "./parameter.yaml#/channelIds" responses: diff --git a/v3/comment/api.yaml b/v3/comment/api.yaml deleted file mode 100644 index 9af3af09..00000000 --- a/v3/comment/api.yaml +++ /dev/null @@ -1,500 +0,0 @@ -query: - summary: query comments. - tags: - - Comment - securityDefinition: - ApiKeyAuth: - type: apiKey - in: header - name: Authorization - description: > - query comments. - parameters: - - name: Authorization - in: header - value: Bearer {{accessToken}} - required: true - schema: - type: string - - name: Content-Type - in: header - value: application/x-www-form-urlencoded - required: true - schema: - type: string - - name: referenceId - required: true - in: query - schema: - type: string - maxLength: 900 - - name: referenceType - in: query - schema: - type: string - enum: - - post - - content - - name: filterByParentId - in: query - schema: - type: boolean - default: true - - name: parentId - in: query - schema: - type: string - maxLength: 900 - - name: hasFlag - in: query - schema: - type: boolean - default: false - - name: isDeleted - in: query - schema: - type: boolean - default: null - - name: sortBy - in: query - schema: - type: string - enum: - - firstCreated - - lastCreated - - lastUpdated - - firstUpdated - default: lastCreated - description: > - type: - * `scrollable(default)` - sort by segment number only. - * `pagination` - can sort by 'lastCreated(default)', 'firstCreated', 'lastUpdated', 'firstUpdated'. - - name: options - in: query - style: deepObject - description: > - type: - * `scrollable(default)` - 'after', 'first', 'before' and 'last' will be set for page size with direction. - * `pagination` - 'skip' and 'limit' will be the number of records to skip and max records size. - - limit/skip: - * support pagination type only - - before/after/first/last: - * support scrollable type only - schema: - type: object - properties: - type: - type: string - enum: - - scrollable - - pagination - default: scrollable - limit: - type: integer - minimum: 1 - maximum: 100 - skip: - type: integer - minimum: 0 - maximum: 100 - after: - type: integer - minimum: 1 - first: - type: integer - minimum: 1 - maximum: 100 - before: - type: integer - minimum: 1 - last: - type: integer - minimum: 1 - maximum: 100 - token: - type: string - maxLength: 1000 - - name: dataTypes - in: query - style: deepObject - description: > - Option to set how the returned comments dataTypes will be contained: - * `values`: the dataTypes values want to be contained in the comment (available values: `text`, `image`) - * `matchType`: how the dataTypes must be contained in the comment - * `any`: the dataTypes could match only partial of the provided field - * `exact`: the dataTypes must contain exactly the same as provided in values - - Example query params: `GET /api/v3/comments?dataTypes[values][]=text&dataTypes[values][]=image&dataTypes[matchType]=any` - schema: - type: object - properties: - values: - type: array - items: - type: string - matchType: - type: string - enum: - - any - - exact - - consumes: - - application/x-www-form-urlencoded - responses: - "200000": - $ref: "./response.yaml#/CommentPaginationApiResponse" - "400400": - $ref: "../../global/error.yaml#/NotFoundError" - "400311": - $ref: "../../global/error.yaml#/RateLimitError" - "500000": - $ref: "../../global/error.yaml#/UnexpectedError" - -create: - summary: create a comment. - tags: - - Comment - security: - - BearerAuth: [] - consumes: - - application/json - requestBody: - description: > - information of a comment to be created. - required: true - content: - application/json: - schema: - type: object - properties: - referenceId: - type: string - maxLength: 900 - referenceType: - type: string - enum: - - post - - content - default: post - data: - type: object - properties: - text: - type: string - maxLength: 50000 - metadata: - type: object - commentId: - type: string - maxLength: 900 - parentId: - type: string - maxLength: 900 - mentionees: - type: array - description: The object of the mentions type and user who get a notification from the post. - items: - type: object - properties: - type: - type: string - example: user - description: > - type: - * `user` - need to specific userIds and notification mentions individual user - enum: - - user - userIds: - type: array - example: ["userId1", "userId2"] - description: Array of UserId. if the mention type is a channel, doesn't send userIds - items: - type: string - createdAt: - type: string - description: The date/time when a comment is created. - format: date-time - example: "2022-07-07T04:24:20.444Z" - attachments: - type: array - description: The attachments/medias to be included in the comment - items: - $ref: "../../schema/comment.yaml#/CommentAttachment" - - required: - - referenceId - responses: - "200000": - $ref: "./response.yaml#/CommentApiResponse" - "400000": - $ref: "../../global/error.yaml#/BadRequestError" - "400400": - $ref: "../../global/error.yaml#/NotFoundError" - "400311": - $ref: "../../global/error.yaml#/RateLimitError" - "500000": - $ref: "../../global/error.yaml#/UnexpectedError" -update: - summary: update a comment. - tags: - - Comment - security: - - BearerAuth: [] - parameters: - - name: commentId - in: path - required: true - schema: - type: string - consumes: - - application/json - requestBody: - description: > - comment information. - required: true - content: - application/json: - schema: - type: object - properties: - data: - type: object - properties: - text: - type: string - maxLength: 50000 - metadata: - type: object - mentionees: - type: array - description: The object of the mentions type and user who get a notification from the post. - items: - type: object - properties: - type: - type: string - example: user - description: > - type: - * `user` - need to specific userIds and notification mentions individual user - enum: - - user - userIds: - type: array - example: ["userId1", "userId2"] - description: Array of UserId. if the mention type is a channel, doesn't send userIds - items: - type: string - attachments: - type: array - description: The attachments/medias to be included in the comment - items: - $ref: "../../schema/comment.yaml#/CommentAttachment" - responses: - "200000": - $ref: "./response.yaml#/CommentApiResponse" - "400000": - $ref: "../../global/error.yaml#/BadRequestError" - "400400": - $ref: "../../global/error.yaml#/NotFoundError" - "400311": - $ref: "../../global/error.yaml#/RateLimitError" - "500000": - $ref: "../../global/error.yaml#/UnexpectedError" -delete: - summary: delete a comment. - tags: - - Comment - security: - - BearerAuth: [] - parameters: - - name: commentId - in: path - required: true - schema: - type: string - consumes: - - application/json - responses: - "200000": - description: comment information - content: - application/json: - schema: - type: object - properties: - status: - type: string - data: - type: object - properties: - success: - type: boolean - "400400": - $ref: "../../global/error.yaml#/NotFoundError" - "400311": - $ref: "../../global/error.yaml#/RateLimitError" - "500000": - $ref: "../../global/error.yaml#/UnexpectedError" -flag: - summary: flag a comment. - tags: - - Comment - security: - - BearerAuth: [] - parameters: - - name: commentId - in: path - required: true - schema: - type: string - consumes: - - application/json - requestBody: - description: > - information of a comment to be flagged. - required: true - content: - application/json: - schema: - type: object - properties: - commentId: - type: string - maxLength: 900 - required: - - commentId - responses: - "200000": - $ref: "./response.yaml#/CommentApiResponse" - "400400": - $ref: "../../global/error.yaml#/NotFoundError" - "400300": - $ref: "../../global/error.yaml#/NumberOfFlagExceedError" - "500000": - $ref: "../../global/error.yaml#/UnexpectedError" -isflagbyme: - summary: Check whether user flag a given comment. - tags: - - Comment - security: - - BearerAuth: [] - parameters: - - name: commentId - in: path - required: true - description: > - commentId to be flagged - schema: - type: string - description: > - Check whether user flag a given comment. - responses: - "200000": - $ref: "../../global/response.yaml#/IsSocialFlagByMeResponse" - "400400": - $ref: "../../global/error.yaml#/NotFoundError" -unflag: - summary: unflag a comment. - tags: - - Comment - security: - - BearerAuth: [] - parameters: - - name: commentId - in: path - required: true - schema: - type: string - consumes: - - application/json - responses: - "200000": - $ref: "./response.yaml#/CommentApiResponse" - "400400": - $ref: "../../global/error.yaml#/NotFoundError" - "500000": - $ref: "../../global/error.yaml#/UnexpectedError" -getList: - summary: get comments by IDs. - tags: - - Comment - security: - - BearerAuth: [] - description: > - get comments by IDs. - parameters: - - name: commentIds - in: query - collectionFormat: multi - required: true - schema: - type: array - minItems: 1 - maxItems: 10 - items: - type: string - maxLength: 50 - consumes: - - application/json - responses: - "200000": - $ref: "./response.yaml#/CommentApiResponse" - "400400": - $ref: "../../global/error.yaml#/NotFoundError" - "400311": - $ref: "../../global/error.yaml#/RateLimitError" - "500000": - $ref: "../../global/error.yaml#/UnexpectedError" -get: - summary: get a comment. - tags: - - Comment - security: - - BearerAuth: [] - description: > - get a comment. - parameters: - - name: commentId - in: path - required: true - description: > - Get comment by ID. - schema: - type: string - consumes: - - application/json - responses: - "200000": - $ref: "./response.yaml#/CommentApiResponse" - "400400": - $ref: "../../global/error.yaml#/NotFoundError" - "400311": - $ref: "../../global/error.yaml#/RateLimitError" - "500000": - $ref: "../../global/error.yaml#/UnexpectedError" -clearflag: - summary: clear flags. - tags: - - Comment - security: - - BearerAuth: [] - parameters: - - name: commentId - in: path - required: true - schema: - type: string - consumes: - - application/json - responses: - "200000": - $ref: "./response.yaml#/CommentApiResponse" - "400301": - $ref: "../../global/error.yaml#/PermissionDenidedError" - "400400": - $ref: "../../global/error.yaml#/NotFoundError" - "500000": - $ref: "../../global/error.yaml#/UnexpectedError" diff --git a/v3/comment/index.yaml b/v3/comment/index.yaml index 428adcc8..55044411 100644 --- a/v3/comment/index.yaml +++ b/v3/comment/index.yaml @@ -1,11 +1,10 @@ root: get: - summary: "query comments (pagination support)." + summary: "Query comments" tags: - "Comment" security: - ApiKeyAuth: [] - description: "query comments.\n" parameters: - $ref: "./parameter.yaml#/authorization" - $ref: "./parameter.yaml#/content-type" @@ -28,7 +27,7 @@ root: 500: $ref: "../../global/error.yaml#/UnexpectedError" post: - summary: "create a comment." + summary: "Create comment" tags: - "Comment" security: @@ -49,12 +48,12 @@ root: _commentId: get: - summary: "get a comment." + summary: "Get comment" tags: - "Comment" security: - BearerAuth: [] - description: "get a comment.\n" + description: Get one comment detail by ID. parameters: - $ref: "./parameter.yaml#/authorization" responses: @@ -67,7 +66,7 @@ _commentId: 500: $ref: "../../global/error.yaml#/UnexpectedError" put: - summary: "update a comment." + summary: "Update comment" tags: - "Comment" security: @@ -89,7 +88,7 @@ _commentId: 500: $ref: "../../global/error.yaml#/UnexpectedError" delete: - summary: "delete a comment." + summary: "Delete comment" deprecated: true tags: - "Comment" @@ -121,7 +120,7 @@ _commentId: _commentId-flag: post: - summary: "flag a comment." + summary: "Flag comment" tags: - "Comment" security: @@ -158,7 +157,7 @@ _commentId-isflagbyme: _commentId-unflag: delete: - summary: "unflag a comment." + summary: "Unflag comment" tags: - "Comment" security: @@ -175,7 +174,8 @@ _commentId-unflag: _commentId-flags: delete: - summary: "clear flags." + summary: "Clear flags" + description: "Clear flags for a comment.\n" tags: - "Comment" security: @@ -194,12 +194,12 @@ _commentId-flags: list: get: - summary: "get comments by IDs." + summary: "Get comments by IDs." + description: "Get comments by comment IDs.\n" tags: - "Comment" security: - BearerAuth: [] - description: "get comments by IDs.\n" parameters: - $ref: "./parameter.yaml#/commentIds" responses: diff --git a/v4/authentication/index.yaml b/v4/authentication/index.yaml index 838a74ce..33a22f61 100644 --- a/v4/authentication/index.yaml +++ b/v4/authentication/index.yaml @@ -1,11 +1,15 @@ token: post: - summary: "Create authentication token for session creation API" + summary: "Create authentication token" tags: - "Authentication" parameters: - $ref: "./parameter.yaml#/x-server-key" - description: "Create authentication token for session creation API. Token userId need to match userId when using it\n" + description: | + Create authentication token for session creation API. Token userId needs to match userId when using it.

+ For example:
+ You put userId: "123456" in the request body,
+ then you need to use the same userId: "123456" and token from the response in the session creation API. requestBody: content: application/json: diff --git a/v4/channel/api.yaml b/v4/channel/api.yaml index 4ba20b2e..e088b099 100644 --- a/v4/channel/api.yaml +++ b/v4/channel/api.yaml @@ -1,5 +1,7 @@ queryUsers: - summary: query channel users + summary: Query channel users + description: > + Query a list of users in channel. tags: - Channel security: @@ -82,4 +84,4 @@ queryUsers: "400400": $ref: "../../global/error.yaml#/NotFoundError" "500000": - $ref: "../../global/error.yaml#/UnexpectedError" \ No newline at end of file + $ref: "../../global/error.yaml#/UnexpectedError"